<mat-card class="mb-4">
  <div class="flex justify-between">
    <div>
      <button mat-button [matMenuTriggerFor]="sortByMenu">
        Sort by {{sort}}
        <mat-icon>expand_more</mat-icon>
      </button>
      <mat-menu #sortByMenu="matMenu">
        <button (click)="onSortUpdated('DESC')" mat-menu-item>DESC</button>
        <button (click)="onSortUpdated('ASC')" mat-menu-item>ASC</button>
      </mat-menu>
    </div>
    <div class="flex items-center">
      <div>
        <button mat-button [matMenuTriggerFor]="menu">
          Show {{itemsShowCount}}
          <mat-icon>expand_more</mat-icon>
        </button>
        <mat-menu #menu="matMenu">
          <button (click)="onItemsUpdated(12)" mat-menu-item>12</button>
          <button (click)="onItemsUpdated(24)" mat-menu-item>24</button>
          <button (click)="onItemsUpdated(36)" mat-menu-item>36</button>
        </mat-menu>
      </div>
      <button (click)="onColumnsUpdated(1)">
        <mat-icon>view_list</mat-icon>
      </button>
      <button (click)="onColumnsUpdated(3)">
        <mat-icon>view_module</mat-icon>
      </button>
      <button (click)="onColumnsUpdated(4)">
        <mat-icon>view_comfy</mat-icon>
      </button>
    </div>
  </div>
</mat-card>
